
REM # parallel partitioning
REM #np=4     #number of partitions and parallel processes
REM #ElmerGrid 2 2 im -partdual -partlayers 0 -metis $np 3 -connect 2 3 4 5 7 8
REM #ElmerGrid 2 2 im -partdual -metis $np 4 -connect 2 3 4 5 7 8   # without partlayers 0 there is a discrepancy between NF torque and band torque


REM ################################################################################
REM # simple model showing that the geometry and boundary conditions are defined correctly
REM ElmerSolver model.sif
REM # parallel execution
REM #echo "model.sif" > ELMERSOLVER_STARTINFO
REM #mpirun -np $np ElmerSolver_mpi 


REM ################################################################################
REM # Transient voltage driven simulation from zero initial conditions
ElmerSolver transient.sif  
REM # parallel execution
REM echo "transient.sif" > ELMERSOLVER_STARTINFO
REM #mpirun -np $np ElmerSolver_mpi 


REM ################################################################################
REM # steady state (time-harmonic) AC voltage driven model with defined stator and rotor circuits
REM #ElmerSolver harmonic.sif
REM # parallel execution
REM #echo "harmonic.sif" > ELMERSOLVER_STARTINFO
REM #mpirun -np $np ElmerSolver_mpi 


REM ################################################################################
REM #iron losses
REM #echo "transient_iron_loss.sif" > ELMERSOLVER_STARTINFO
REM #mpirun -np $np ElmerSolver_mpi 


REM ################################################################################
REM # Transient speed up of IM from zero speed with kinematic equation
REM #elmerf90 -O -o Kinematics Kinematics.f90
REM #ElmerSolver transient_kinematics.sif
REM # parallel execution
REM #echo "transient_kinematics.sif" > ELMERSOLVER_STARTINFO
REM #mpirun -np $np ElmerSolver_mpi

